<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_ca831b25ce7ff" . "fea9cf441f762c" . "7d154" => base64_decode("ZmlsZV9leG" . "lzdHM="), "_2d885755f5913deb2b5a483bd676" . "11d1" => base64_decode("Y2ZnX2xvY2FsX2Rh" . "dGFfZGly"), "_19d1237a619" . "f7b35ad6dbeb" . "f025f17c8" => base64_decode("c3Ry" . "Y21w"), "_8a36a84" . "baeffc00" . "85672f9b" . "f9c064f6" . "7" => base64_decode("ZmlsZV9wdXRfY29" . "udGVudHM="), "_644b798b19" . "dd133ec9211" . "fb916df032b" => base64_decode("ZmlsZV9n" . "ZXRfY29u" . "dGVudHM="), "_927fa79e65e2727376" . "20f5a863f058ae" => base64_decode("L2NhY2hlX2N" . "sZWFyZWQuZG" . "F0"), "_72f158add48659f67a9df82de66463" . "12" => base64_decode("c3lzdGVtX2NhY2h" . "lX2NsZWFyZWQ="), "_5e9a99dc0dd49" . "b907abf1b35e96" . "965f8" => base64_decode("dH" . "Jp" . "bQ" . "=="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\DAL\Interfaces\DbInterface;
use DBVar;
class CacheTimeCheck
{
    
    
    
    
    private $cache_cleared_file;
    
    
    
    
    private $cache_clearer;
    public function __construct(Config $config, CacheClearer $_2f905e47e14e38521e4b5cdebdd7a108)
    {
        $this->cache_cleared_file = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2d885755f5913deb2b5a4" . "83bd67611d1"]) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_927fa79" . "e65e2727" . "37620f5a" . "863f058a" . "e"];
        $this->cache_clearer = $_2f905e47e14e38521e4b5cdebdd7a108;
    }
    public function ClearLocalCacheIfNeeded()
    {
        $_d531d220dbc6dcb35b78aff26b7f0278 = true;
        $_0a9dc3339bf8c0f28851462350e00fb4 = (string) DBVar::Get($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_72f158a" . "dd48659f" . "67a9df82" . "de664631" . "2"], false);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_ca831b25ce7fffea9cf441f762c7" . "d154"]($this->cache_cleared_file)) {
            $_52da7741c64702dba0065a6ffc0b23da = (string) $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5e9a99dc0dd49b907abf1b" . "35e96965f8"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_644b798b19d" . "d133ec9211fb" . "916df032b"]($this->cache_cleared_file));
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_19d1237a619" . "f7b35ad6dbeb" . "f025f17c8"]($_52da7741c64702dba0065a6ffc0b23da, $_0a9dc3339bf8c0f28851462350e00fb4) >= 0) {
                $_d531d220dbc6dcb35b78aff26b7f0278 = false;
            }
        }
        if ($_d531d220dbc6dcb35b78aff26b7f0278) {
            $this->ClearLocalCache();
        }
    }
    public function ClearLocalCache()
    {
        $this->cache_clearer->Reset();
        $this->UpdateLocalTimestamp();
    }
    public function ClearAllCache()
    {
        $this->cache_clearer->Reset();
        $this->cache_clearer->ResetShared();
        $this->UpdateLocalTimestamp();
    }
    protected function UpdateLocalTimestamp()
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_8a36a84" . "baeffc00" . "85672f9b" . "f9c064f6" . "7"]($this->cache_cleared_file, $_d230962d9a57dc6ba2b774d9ba3bb81e);
    }
    public function UpdateSharedTimestamp(DbInterface $db)
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $db->DisableTokenCheck();
        DBVar::Set($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_72f158add48659f67a9df82de664631" . "2"], $_d230962d9a57dc6ba2b774d9ba3bb81e);
        $db->EnableTokenCheck();
    }
}